webpackJsonp([39],{

/***/ 153:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StorageService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var StorageService = /** @class */ (function () {
    function StorageService() {
    }
    StorageService.prototype.write = function (key, value) {
        if (value) {
            value = JSON.stringify(value);
        }
        localStorage.setItem(key, value);
    };
    StorageService.prototype.read = function (key) {
        var value = localStorage.getItem(key);
        if (value && value != "undefined" && value != "null") {
            return JSON.parse(value);
        }
        return null;
    };
    StorageService.prototype.remove = function (key) {
        localStorage.removeItem(key);
    };
    StorageService.prototype.clear = function () {
        localStorage.clear();
        //sessionStorage.clear();
    };
    StorageService.prototype.writeSession = function (key, value) {
        if (value) {
            value = JSON.stringify(value);
        }
        sessionStorage.setItem(key, value);
    };
    StorageService.prototype.readSession = function (key) {
        var value = sessionStorage.getItem(key);
        if (value && value != "undefined" && value != "null") {
            return JSON.parse(value);
        }
        return null;
    };
    StorageService.prototype.removeSession = function (key) {
        sessionStorage.removeItem(key);
    };
    StorageService.prototype.clearSession = function () {
        sessionStorage.clear();
    };
    StorageService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [])
    ], StorageService);
    return StorageService;
}());

//# sourceMappingURL=StorageService.js.map

/***/ }),

/***/ 154:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AlertService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var AlertService = /** @class */ (function () {
    function AlertService(alertCtrl, toastCtrl) {
        this.alertCtrl = alertCtrl;
        this.toastCtrl = toastCtrl;
    }
    AlertService.prototype.presentAlert = function (message, title) {
        var alert = this.alertCtrl.create({
            title: title,
            subTitle: message,
            buttons: [
                {
                    text: '确认'
                }
            ]
        });
        return alert.present();
    };
    AlertService.prototype.presentErrorAlert = function (message) {
        return this.presentAlert('An error has occurred.', message);
    };
    AlertService.prototype.presentAlertWithCallback = function (title, message, backText, confirmText) {
        var _this = this;
        if (backText === void 0) { backText = '返回'; }
        if (confirmText === void 0) { confirmText = '确认'; }
        return new Promise(function (resolve, reject) {
            var confirm = _this.alertCtrl.create({
                title: title,
                message: message,
                buttons: [{
                        text: backText,
                        role: 'cancel',
                        handler: function () {
                            confirm.dismiss().then(function () { return resolve(false); });
                            return false;
                        }
                    }, {
                        text: confirmText,
                        handler: function () {
                            confirm.dismiss().then(function () { return resolve(true); });
                            return false;
                        }
                    }]
            });
            return confirm.present();
        });
    };
    AlertService.prototype.presentAlertWithPrompt = function (message, key, placeholder, title) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            var alert = _this.alertCtrl.create({
                title: title,
                message: message,
                inputs: [
                    {
                        name: key,
                        placeholder: placeholder
                    }
                ],
                buttons: [
                    {
                        text: '取消',
                        role: 'cancel',
                        handler: function (data) {
                        }
                    },
                    {
                        text: '确定',
                        handler: function (data) {
                            resolve(data[key]);
                        }
                    }
                ]
            });
            alert.present();
        });
    };
    AlertService.prototype.presentToast = function (message, duration, position) {
        if (duration === void 0) { duration = 3000; }
        if (position === void 0) { position = 'top'; }
        var toast = this.toastCtrl.create({
            message: message,
            duration: duration,
            position: position
        });
        return toast.present();
    };
    AlertService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */]])
    ], AlertService);
    return AlertService;
}());

//# sourceMappingURL=alert.service.js.map

/***/ }),

/***/ 155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Utils; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

/**
 * Utils类存放和业务无关的公共方法
 * @description
 */
var Utils = /** @class */ (function () {
    function Utils() {
    }
    Utils_1 = Utils;
    Utils.prototype.getMachineMappingCode = function (machineType) {
        var result = '';
        if (machineType.indexOf('10300') !== -1) {
            result = 'daKun';
        }
        // 0
        if (machineType.indexOf('10400') !== -1) {
            result = 'boZhong';
        }
        if (machineType.indexOf('深翻') !== -1) {
            result = 'shenFan';
        }
        if (machineType.indexOf('深松') !== -1) {
            result = 'shenSong';
        }
        if (machineType.indexOf('拖拉') !== -1) {
            result = 'tuoLa';
        }
        if (machineType.indexOf('收获') !== -1) {
            result = 'shouHuo';
        }
        if (machineType.indexOf('植保') !== -1 || machineType.indexOf('喷雾') !== -1) {
            result = 'zhiBao';
        }
        return result;
    };
    Utils.addMachineIConSingle = function (equipmentDetail) {
        var equipmentDetails = equipmentDetail;
        //拖拉机
        if (equipmentDetails.ctp == '10100') {
            equipmentDetails.machineImg = "assets/imgs/map/tuolaji_on.png";
        }
        //深耕机
        if (equipmentDetails.ctp == '10200') {
            equipmentDetails.machineImg = "assets/imgs/map/shensongji_on.png";
        }
        //打捆机
        if (equipmentDetails.ctp == '10300') {
            equipmentDetails.machineImg = "assets/imgs/map/dakunji_on.png";
        }
        //播种机
        if (equipmentDetails.ctp == '10400' || equipmentDetails.ctp == '10410') {
            equipmentDetails.machineImg = "assets/imgs/map/bozhongji_on.png";
        }
        //喷雾机
        if (equipmentDetails.ctp == '10600') {
            equipmentDetails.machineImg = "assets/imgs/map/penwuji_on.png";
        }
        return equipmentDetails;
    };
    Utils.addMachineIcon = function (equipmentList) {
        var equipmentLists = equipmentList.forEach(function (item) {
            if (!item.enumber) {
                item.enumber = "暂无车牌";
            }
            //播种机
            if (item.ctp == '10400' || item.ctp == '10410') {
                if (item.onl == 1) {
                    item.machineIconOff = "assets/imgs/map/bozhongji_on.png";
                    item.machineIconOn = "assets/imgs/map/bozhongji_on.png";
                }
                else {
                    item.machineIconOff = "assets/imgs/map/bozhongji_off.png";
                    item.machineIconOn = "assets/imgs/map/bozhongji_off.png";
                }
                item.machineImg = "assets/imgs/map/bozhongji_on.png";
            }
        });
        return equipmentLists;
    };
    Utils.trim = function (str, is_global) {
        var result;
        result = str.replace(/(^\s+)|(\s+$)/g, "");
        if (is_global.toLowerCase() == "g") {
            result = result.replace(/\s/g, "");
        }
        return result;
    };
    //获取最大最小值
    Utils.getMaximin = function (arr, maximin) {
        if (maximin == "max") {
            return Math.max.apply(Math, arr);
        }
        else if (maximin == "min") {
            return Math.min.apply(Math, arr);
        }
    };
    //遍历数组是否有传入的值
    Utils.ForeachArray = function (id, arr) {
        var bool = arr.some(function (ele, i, array) {
            if (ele.AccepterID == id) {
                return true;
            }
            return false;
        });
        return bool;
    };
    //判断是否为空
    Utils.IsEmpty = function (value) {
        return value == null || typeof value === 'string' && value.length === 0 || typeof value === 'object' && value.length === 0;
    };
    //判断是否不为空
    Utils.IsNotEmpty = function (value) {
        return !Utils_1.IsEmpty(value);
    };
    //获取url的code参数(微信专用)
    Utils.GetUrlParam = function (url) {
        var code = "N/A";
        var urlArr = url.split('code=');
        if (urlArr[1]) {
            var shortUrl = urlArr[1];
            code = shortUrl.split('&state=')[0];
        }
        return code;
    };
    // 判断是否为数组
    Utils.IsArray = function (arr) {
        return Object.prototype.toString.call(arr) == '[object Array]';
    };
    //判断指定时间是否在时间段内
    Utils.IsBookingFood = function (start, end) {
        var today = new Date();
        start = start.split(':')[0] * 60 * 60 + start.split(":")[1] * 60;
        end = end.split(':')[0] * 60 * 60 + end.split(":")[1] * 60;
        var Now = today.getHours() * 60 * 60 + today.getMinutes() * 60;
        if (start < Now && end > Now) {
            return true;
        }
        else {
            return false;
        }
    };
    /**
     * 格式“是”or“否”
     * @param value
     * @returns {string|string}
     */
    Utils.FormatYesOrNo = function (value) {
        return value == 1 ? '是' : (value == '0' ? '否' : null);
    };
    /**
     * 日期对象转为日期字符串
     * @param date 需要格式化的日期对象
     * @param sFormat 输出格式,默认为yyyy-MM-dd                        年：y，月：M，日：d，时：h，分：m，秒：s
     * @example  dateFormat(new Date())                               "2017-02-28"
     * @example  dateFormat(new Date(),'yyyy-MM-dd')                  "2017-02-28"
     * @example  dateFormat(new Date(),'yyyy-MM-dd HH:mm:ss')         "2017-02-28 13:24:00"   ps:HH:24小时制
     * @example  dateFormat(new Date(),'yyyy-MM-dd hh:mm:ss')         "2017-02-28 01:24:00"   ps:hh:12小时制
     * @example  dateFormat(new Date(),'hh:mm')                       "09:24"
     * @example  dateFormat(new Date(),'yyyy-MM-ddTHH:mm:ss+08:00')   "2017-02-28T13:24:00+08:00"
     * @example  dateFormat(new Date('2017-02-28 13:24:00'),'yyyy-MM-ddTHH:mm:ss+08:00')   "2017-02-28T13:24:00+08:00"
     * @returns {string}
     */
    //日期转换成毫秒
    Utils.DateFormatToMsec = function (date) {
        var FormatDate = date.replace(new RegExp(/-/gm), "/");
        return FormatDate.getTime();
    };
    //小于10转换成0x
    Utils.FormatDateZero = function (num) {
        if (num < 10) {
            num = '0' + num;
        }
        return num;
    };
    //年月日转换成Date格式
    Utils.ChineseDateFormatToDate = function (date) {
        date = date.replace('年', '/');
        date = date.replace('月', '/');
        var FormatDate = date.replace('日', '');
        return FormatDate;
    };
    //年月日转换成number字符串格式20180628
    Utils.ChineseDateFormatToNumber = function (date) {
        date = date.replace('年', '');
        date = date.replace('月', '');
        var FormatDate = date.replace('日', '');
        return FormatDate;
    };
    //获取当前切换日期所在月份的总天数
    Utils.getMonthDays = function (year, month) {
        var monthAry = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
        if (year % 400 == 0) {
            monthAry[1] = 29;
        }
        else {
            if (year % 4 == 0 && year % 100 != 0) {
                monthAry[1] = 29;
            }
        }
        return monthAry[month];
    };
    Utils.prototype.DateFormat = function (date, sFormat) {
        if (sFormat === void 0) { sFormat = 'yyyy-MM-dd'; }
        var time = {
            Year: 0,
            TYear: '0',
            Month: 0,
            TMonth: '0',
            Day: 0,
            TDay: '0',
            Hour: 0,
            THour: '0',
            hour: 0,
            Thour: '0',
            Minute: 0,
            TMinute: '0',
            Second: 0,
            TSecond: '0',
            Millisecond: 0
        };
        time.Year = date.getFullYear();
        time.TYear = String(time.Year).substr(2);
        time.Month = date.getMonth() + 1;
        time.TMonth = time.Month < 10 ? "0" + time.Month : String(time.Month);
        time.Day = date.getDate();
        time.TDay = time.Day < 10 ? "0" + time.Day : String(time.Day);
        time.Hour = date.getHours();
        time.THour = time.Hour < 10 ? "0" + time.Hour : String(time.Hour);
        time.hour = time.Hour < 13 ? time.Hour : time.Hour - 12;
        time.Thour = time.hour < 10 ? "0" + time.hour : String(time.hour);
        time.Minute = date.getMinutes();
        time.TMinute = time.Minute < 10 ? "0" + time.Minute : String(time.Minute);
        time.Second = date.getSeconds();
        time.TSecond = time.Second < 10 ? "0" + time.Second : String(time.Second);
        time.Millisecond = date.getMilliseconds();
        return sFormat.replace(/yyyy/ig, String(time.Year))
            .replace(/yyy/ig, String(time.Year))
            .replace(/yy/ig, time.TYear)
            .replace(/y/ig, time.TYear)
            .replace(/MM/g, time.TMonth)
            .replace(/M/g, String(time.Month))
            .replace(/dd/ig, time.TDay)
            .replace(/d/ig, String(time.Day))
            .replace(/HH/g, time.THour)
            .replace(/H/g, String(time.Hour))
            .replace(/hh/g, time.Thour)
            .replace(/h/g, String(time.hour))
            .replace(/mm/g, time.TMinute)
            .replace(/m/g, String(time.Minute))
            .replace(/ss/ig, time.TSecond)
            .replace(/s/ig, String(time.Second))
            .replace(/fff/ig, String(time.Millisecond));
    };
    /**
     * 返回字符串长度，汉字计数为2
     * @param str
     * @returns {number}
     */
    Utils.StrLength = function (str) {
        var len = 0;
        for (var i = 0, length_1 = str.length; i < length_1; i++) {
            str.charCodeAt(i) > 255 ? len += 2 : len++;
        }
        return len;
    };
    /**
     * 把url中的双斜杠替换为单斜杠
     * 如:http://localhost:8080//api//demo.替换后http://localhost:8080/api/demo
     * @param url
     * @returns {string}
     */
    Utils.FormatUrl = function (url) {
        if (url === void 0) { url = ''; }
        var index = 0;
        if (url.startsWith('http')) {
            index = 7;
        }
        return url.substring(0, index) + url.substring(index).replace(/\/\/*/g, '/');
    };
    Utils.prototype.formatDateDisplay = function (str, minFlag, timeFlag) {
        if (minFlag === void 0) { minFlag = false; }
        if (timeFlag === void 0) { timeFlag = false; }
        var result = str.substr(0, 4) + '-' + str.substr(4, 2) + '-' + str.substr(6, 2) + ' ' + str.substr(8, 2) + ':' + str.substr(10, 2) + ':' + str.substr(12, 2);
        if (minFlag) {
            result = str.substr(0, 4) + '-' + str.substr(4, 2) + '-' + str.substr(6, 2) + ' ' + str.substr(8, 2) + ':' + str.substr(10, 2);
        }
        if (timeFlag) {
            result = str.substr(8, 2) + ':' + str.substr(10, 2);
        }
        return result;
    };
    // 补齐不足位数前面加0
    Utils.prototype.prefixInteger = function (num, length) {
        return ("0000000000000000" + num).substr(-length);
    };
    /*
    *  获取上一个月
    *  @date 格式为yyyy-mm-dd的日期，如：2014-01-25
    */
    Utils.prototype.getPreviousMonth = function (date, showDate) {
        if (showDate === void 0) { showDate = false; }
        var arr = date.split('-');
        var year = arr[0]; // 获取当前日期的年份
        var month = arr[1]; // 获取当前日期的月份
        var day = arr[2]; // 获取当前日期的日
        var year2 = year;
        var month2 = parseInt(month, 10) - 1;
        if (month2 == 0) {
            year2 = parseInt(year2, 10) - 1;
            month2 = 12;
        }
        var day2 = day;
        var days2 = new Date(year2, month2, 0).getDate();
        if (day2 > days2) {
            day2 = days2;
        }
        if (month2 < 10) {
            month2 = '0' + month2;
        }
        var t2 = year2 + '-' + month2 + '-' + day2;
        if (showDate == false) {
            t2 = year2 + '-' + month2;
        }
        return t2;
    };
    /*
     * 获取下一个月
     * @date 格式为yyyy-mm-dd的日期，如：2014-01-25
     */
    Utils.prototype.getNextMonth = function (date, showDate) {
        if (showDate === void 0) { showDate = false; }
        var arr = date.split('-');
        var year = arr[0]; // 获取当前日期的年份
        var month = arr[1]; // 获取当前日期的月份
        var day = arr[2]; // 获取当前日期的日
        var days = new Date(year, month, 0);
        // days = days.getDate(); //获取当前日期中的月的天数
        var year2 = year;
        var month2 = parseInt(month, 10) + 1;
        if (month2 == 13) {
            year2 = parseInt(year2, 10) + 1;
            month2 = 1;
        }
        var day2 = day;
        var days2 = new Date(year2, month2, 0).getDate();
        if (day2 > days2) {
            day2 = days2;
        }
        if (month2 < 10) {
            month2 = '0' + month2;
        }
        var t2 = year2 + '-' + month2 + '-' + day2;
        if (showDate == false) {
            t2 = year2 + '-' + month2;
        }
        return t2;
    };
    /**
     * 每次调用sequence加1
     * @type {()=>number}
     */
    Utils.GetSequence = (function () {
        var sequence = 1;
        return function () {
            return ++sequence;
        };
    })();
    Utils = Utils_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [])
    ], Utils);
    return Utils;
    var Utils_1;
}());

//# sourceMappingURL=Utils.js.map

/***/ }),

/***/ 168:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 168;

/***/ }),

/***/ 212:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../components/cmap/cmap.module": [
		695,
		38
	],
	"../components/empty-alert/empty-alert.module": [
		698,
		37
	],
	"../components/gmap/gmap.module": [
		691,
		26
	],
	"../components/header-info/header-info.module": [
		694,
		36
	],
	"../components/header-search/header-search.module": [
		692,
		35
	],
	"../components/home-machine-item/home-machine-item.module": [
		696,
		34
	],
	"../components/machine-item/machine-item.module": [
		689,
		33
	],
	"../components/rmap/ramp.module": [
		697,
		32
	],
	"../components/tab-switch/tab-switch.module": [
		690,
		31
	],
	"../components/tmap/tmap.module": [
		693,
		30
	],
	"../pages/auth/modify-password/modify-password.module": [
		699,
		25
	],
	"../pages/auth/register/register.module": [
		700,
		24
	],
	"../pages/machine-home/add-machine-page/add-machine-page.module": [
		701,
		23
	],
	"../pages/machine-home/machine-authorization-confrim-page/machine-authorization-confrim-page.module": [
		702,
		8
	],
	"../pages/machine-home/machine-authorization-list-page/machine-authorization-list-page.module": [
		703,
		5
	],
	"../pages/machine-home/machine-authorization-page/machine-authorization-page.module": [
		704,
		22
	],
	"../pages/machine-home/machine-detail-page/machine-detail-page.module": [
		705,
		2
	],
	"../pages/machine-home/machine-list-page/machine-list-page.module": [
		706,
		3
	],
	"../pages/machine-home/machine-review-detail/machine-review-detail.module": [
		707,
		21
	],
	"../pages/machine-home/machine-static-page/machine-static-page.module": [
		708,
		12
	],
	"../pages/machine-home/search-machine-detail/search-machine-detail.module": [
		709,
		1
	],
	"../pages/machine-home/verify-machine-page/verify-machine-page..module": [
		710,
		20
	],
	"../pages/order-home/app-order-list/app-order-list.module": [
		711,
		10
	],
	"../pages/order-home/machine-order-list-page/machine-order-list-page.module": [
		715,
		7
	],
	"../pages/order-home/order-list-page/order-list-page.module": [
		712,
		9
	],
	"../pages/order-home/status-list-page/status-list-page.module": [
		713,
		6
	],
	"../pages/order-home/work-detail-page/work-detail-page.module": [
		714,
		4
	],
	"../pages/register-home/role-info/role-info-page.module": [
		719,
		11
	],
	"../pages/register-home/role-select/role-select-page.module": [
		717,
		18
	],
	"../pages/register-home/user-forget-password-page/user-forget-password-page.module": [
		716,
		17
	],
	"../pages/register-home/user-login-page/user-login-page.module": [
		720,
		16
	],
	"../pages/register-home/user-register-page/user-register-page.module": [
		718,
		15
	],
	"../pages/scan-search/scan-search.module": [
		721,
		19
	],
	"../pages/scan/scan.module": [
		722,
		29
	],
	"../pages/setting/setting.module": [
		723,
		28
	],
	"../pages/share-page/first-page.module": [
		725,
		27
	],
	"../pages/user-home/user-home-page/user-home-page.module": [
		724,
		0
	],
	"../pages/user-list/user-list.module": [
		726,
		13
	],
	"../pages/user/user.module": [
		727,
		14
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 212;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 353:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HttpService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__Constants__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__NativeService__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__Utils__ = __webpack_require__(155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__alert_service__ = __webpack_require__(154);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
// JavaScript source code







var HttpService = /** @class */ (function () {
    function HttpService(_AlertService, httpClient, nativeService) {
        this._AlertService = _AlertService;
        this.httpClient = httpClient;
        this.nativeService = nativeService;
    }
    HttpService.prototype.buildRequestOptions = function (paramMap) {
        // let token = this.globalData.token;
        var urlparamstr = null;
        if (paramMap != null) {
            for (var key in paramMap) {
                var val = paramMap[key];
                // if (val !== '' && val != null) {
                if (urlparamstr === null) {
                    urlparamstr = key + "=" + val;
                }
                else {
                    urlparamstr = urlparamstr + "&" + key + "=" + val;
                }
                // }
                // tslint:disable-next-line:no-shadowed-variable
            }
        }
        var paramc = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["d" /* HttpParams */]({ fromString: urlparamstr });
        // const headers = new HttpHeaders({ 'Content-Type': 'application/json;application/x-www-form-urlencoded;charset=UTF-8' }).append('token', token);
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["c" /* HttpHeaders */]({ 'Content-Type': 'application/json;charset=UTF-8;application/x-www-form-urlencoded;charset=UTF-8' });
        var options = { headers: headers, params: paramc };
        // let options = {params: paramc};
        return options;
    };
    // tslint:disable-next-line:one-line
    HttpService.prototype.httpGet = function (reqUrl, paramMap, showLoading) {
        var _this = this;
        if (paramMap === void 0) { paramMap = null; }
        if (showLoading === void 0) { showLoading = true; }
        var options = this.buildRequestOptions(paramMap);
        if (showLoading) {
            this.nativeService.showLoading();
        }
        reqUrl = __WEBPACK_IMPORTED_MODULE_5__Utils__["a" /* Utils */].FormatUrl(reqUrl.startsWith('http') ? reqUrl : __WEBPACK_IMPORTED_MODULE_3__Constants__["a" /* APP_SERVE_URL */] + reqUrl);
        return __WEBPACK_IMPORTED_MODULE_2_rxjs__["Observable"].create(function (observer) {
            _this.httpClient.get(reqUrl, options)
                .subscribe(function (data) {
                _this.nativeService.hideLoading();
                if (!data || data == null) {
                    _this._AlertService.presentToast('网络不通畅、请稍后再试');
                    return;
                }
                else {
                    if (data.StatusCode && data.StatusCode != 200) {
                        _this._AlertService.presentToast(data.Message);
                        return;
                    }
                    else {
                        if (data.Entity && data.Entity.Code && data.Entity.Code != 200) {
                            _this._AlertService.presentToast(data.Entity.Message);
                            return;
                        }
                    }
                }
                observer.next(data);
            }, function (error) {
                _this._AlertService.presentToast('网络不通畅、请稍后再试');
                _this.nativeService.hideLoading();
                observer.error(error);
            });
        });
    };
    HttpService.prototype.httpPost = function (reqUrl, paramMap, showLoading) {
        var _this = this;
        if (paramMap === void 0) { paramMap = null; }
        if (showLoading === void 0) { showLoading = true; }
        if (showLoading) {
            this.nativeService.showLoading();
        }
        reqUrl = __WEBPACK_IMPORTED_MODULE_5__Utils__["a" /* Utils */].FormatUrl(reqUrl.startsWith('http') ? reqUrl : __WEBPACK_IMPORTED_MODULE_3__Constants__["a" /* APP_SERVE_URL */] + reqUrl);
        return __WEBPACK_IMPORTED_MODULE_2_rxjs__["Observable"].create(function (observer) {
            _this.httpClient.post(reqUrl, paramMap)
                .subscribe(function (data) {
                _this.nativeService.hideLoading();
                if (!data || data == null) {
                    _this._AlertService.presentToast('网络不通畅、请稍后再试');
                    return;
                }
                else {
                    if (data.StatusCode && data.StatusCode != 200) {
                        _this._AlertService.presentToast(data.Message);
                        return;
                    }
                    else {
                        if (data.Entity && data.Entity.Code && data.Entity.Code != 200) {
                            _this._AlertService.presentToast(data.Entity.Message);
                            return;
                        }
                    }
                }
                observer.next(data);
            }, function (error) {
                _this._AlertService.presentToast('网络不通畅、请稍后再试');
                _this.nativeService.hideLoading();
                observer.error(error);
            });
        });
    };
    HttpService.prototype.httpExportPost = function (reqUrl, paramMap) {
        if (paramMap === void 0) { paramMap = null; }
        var url = reqUrl;
        if (reqUrl.indexOf('http') === -1) {
            url = __WEBPACK_IMPORTED_MODULE_3__Constants__["a" /* APP_SERVE_URL */] + reqUrl;
        }
        var newWin = window.open();
        var formStr = '';
        formStr = '<form method="POST" action="' + url + '">';
        for (var key in paramMap) {
            formStr += '<input type="hidden" name="' + key + '" value="' + paramMap[key] + '" />';
        }
        formStr += '</form>';
        newWin.document.body.innerHTML = formStr;
        newWin.document.forms[0].submit();
    };
    //二进制流传值
    HttpService.prototype.postBinaryData = function (reqUrl, paramMap) {
        var _this = this;
        if (paramMap === void 0) { paramMap = null; }
        var httpOptions = {
            headers: new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["c" /* HttpHeaders */]({
                'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8'
            })
        };
        reqUrl = __WEBPACK_IMPORTED_MODULE_5__Utils__["a" /* Utils */].FormatUrl(reqUrl.startsWith('http') ? reqUrl : __WEBPACK_IMPORTED_MODULE_3__Constants__["a" /* APP_SERVE_URL */] + reqUrl);
        return __WEBPACK_IMPORTED_MODULE_2_rxjs__["Observable"].create(function (observer) {
            _this.httpClient.post(reqUrl, paramMap, httpOptions)
                .subscribe(function (data) {
                observer.next(data);
                _this.nativeService.hideLoading();
            }, function (error) {
                observer.error(error);
                _this.nativeService.hideLoading();
            });
        });
    };
    HttpService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_6__alert_service__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_4__NativeService__["a" /* NativeService */]])
    ], HttpService);
    return HttpService;
}());

//# sourceMappingURL=HttpService.js.map

/***/ }),

/***/ 354:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AMapService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var AMapService = /** @class */ (function () {
    function AMapService() {
        this.geocodeAddressSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.currentLocationSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.markersSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.pathSimplifierSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.makerClickSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.circleClickSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.polygonClickSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.polyLineSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.gMapDrawingSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.polygonSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.allPolyLineSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.clearPolyLinesSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.clearMarkersSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.workPointsSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.clearWorkPointsSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.workLandsSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.workImagesSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.workAreasSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.skipOrderPositionSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.duplicateOrderSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.dashboardStatisticsSource = new __WEBPACK_IMPORTED_MODULE_1_rxjs_Subject__["Subject"]();
        this.GeocodeAddressSource$ = this.geocodeAddressSource.asObservable();
        this.CurrentLocationSource$ = this.currentLocationSource.asObservable();
        this.GMapPolyLine$ = this.polyLineSource.asObservable();
        this.GMapDrawing$ = this.gMapDrawingSource.asObservable();
        this.AMapMarkers$ = this.markersSource.asObservable();
        this.AMapPathSimplifier$ = this.pathSimplifierSource.asObservable();
        this.AMapMarkerClick$ = this.makerClickSource.asObservable();
        this.MapCircleClick$ = this.circleClickSource.asObservable();
        this.MapPolygonClick$ = this.polygonClickSource.asObservable();
        this.GMapPolygon$ = this.polygonSource.asObservable();
        this.GMapAllPolyLine$ = this.allPolyLineSource.asObservable();
        this.GMapClearPolyLinesSource$ = this.clearPolyLinesSource.asObservable();
        this.GMapClearMarkersSource$ = this.clearMarkersSource.asObservable();
        this.GMapWorkPointSource$ = this.workPointsSource.asObservable();
        this.GMapClearWorkPointsSource$ = this.clearWorkPointsSource.asObservable();
        this.GMapWorkLandSource$ = this.workLandsSource.asObservable();
        this.GMapWorkImageSource$ = this.workImagesSource.asObservable();
        this.GMapWorkAreasSource$ = this.workAreasSource.asObservable();
        this.GMapSkipOrderPositionSource$ = this.skipOrderPositionSource.asObservable();
        this.GMapDuplicateOrderSource$ = this.duplicateOrderSource.asObservable();
        this.GMapDashboardStatisticsSource$ = this.dashboardStatisticsSource.asObservable();
    }
    AMapService.prototype.setGeocodeAddress = function (address) {
        this.geocodeAddressSource.next(address);
    };
    AMapService.prototype.setCurrentLoaction = function (location) {
        this.currentLocationSource.next(location);
    };
    AMapService.prototype.setMarkers = function (markers) {
        this.markersSource.next(markers);
    };
    AMapService.prototype.markerClick = function (marker) {
        this.makerClickSource.next(marker);
    };
    AMapService.prototype.circleClick = function (options) {
        this.circleClickSource.next(options);
    };
    AMapService.prototype.polygonClick = function (options) {
        this.polygonClickSource.next(options);
    };
    AMapService.prototype.setSimplifier = function (points) {
        this.pathSimplifierSource.next(points);
    };
    AMapService.prototype.setDrawingResult = function (result) {
        this.gMapDrawingSource.next(result);
    };
    AMapService.prototype.setPolyLine = function (options) {
        this.polyLineSource.next(options);
    };
    AMapService.prototype.setAllPolyLine = function (options) {
        this.allPolyLineSource.next(options);
    };
    AMapService.prototype.setPolygon = function (options) {
        this.polygonSource.next(options);
    };
    AMapService.prototype.clearPolyLines = function () {
        this.clearPolyLinesSource.next(true);
    };
    AMapService.prototype.clearMarkers = function () {
        this.clearMarkersSource.next(true);
    };
    AMapService.prototype.setWorkPoints = function (options) {
        this.workPointsSource.next(options);
    };
    AMapService.prototype.clearWorkPoints = function () {
        this.clearWorkPointsSource.next(true);
    };
    AMapService.prototype.setWorkLands = function (options) {
        this.workLandsSource.next(options);
    };
    AMapService.prototype.setWorkImages = function (options) {
        this.workImagesSource.next(options);
    };
    AMapService.prototype.setWorkAreas = function (options) {
        this.workAreasSource.next(options);
    };
    AMapService.prototype.setSkipOrderMarker = function (options) {
        this.skipOrderPositionSource.next(options);
    };
    AMapService.prototype.setDuplicateOrderArea = function (options) {
        this.duplicateOrderSource.next(options);
    };
    AMapService.prototype.setDashboardStatisticsSource = function (options) {
        this.dashboardStatisticsSource.next(options);
    };
    AMapService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])()
    ], AMapService);
    return AMapService;
}());

//# sourceMappingURL=amap.service.js.map

/***/ }),

/***/ 356:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Validators; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var Validators = /** @class */ (function () {
    function Validators() {
    }
    Validators.prototype.checkPhone = function (phone) {
        var ValidatePhone = /^1[1,2,3,4,5,6,7,8,9]\d{9}$/;
        if (!ValidatePhone.test(phone)) {
            return false;
        }
        else {
            return true;
        }
    };
    Validators = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])()
    ], Validators);
    return Validators;
}());

//# sourceMappingURL=Validators.js.map

/***/ }),

/***/ 363:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(364);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(368);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 368:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_component__ = __webpack_require__(687);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_zbar_ngx__ = __webpack_require__(688);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_image_picker__ = __webpack_require__(156);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_status_bar__ = __webpack_require__(351);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_splash_screen__ = __webpack_require__(352);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_qr_scanner__ = __webpack_require__(357);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_camera__ = __webpack_require__(309);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_file_transfer__ = __webpack_require__(361);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__ionic_native_file__ = __webpack_require__(311);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_base64_ngx__ = __webpack_require__(362);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__jiguang_ionic_jpush__ = __webpack_require__(157);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__ionic_native_geolocation__ = __webpack_require__(355);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__providers_HttpService__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__providers_Utils__ = __webpack_require__(155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__providers_GlobalData__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__providers_Validators__ = __webpack_require__(356);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__providers_NativeService__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__providers_alert_service__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__providers_amap_service__ = __webpack_require__(354);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__providers_StorageService__ = __webpack_require__(153);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







//NativeService







// import { ImagePicker } from '@ionic-native/image-picker';


//modules
//services








var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["b" /* HttpClientModule */],
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */], {
                    backButtonText: '',
                    iconMode: 'ios',
                    backButtonIcon: 'ios-arrow-back',
                    mode: 'ios',
                }, {
                    links: [
                        { loadChildren: '../components/empty-alert/empty-alert.module#EmptyAlertComponentModule', name: 'emptyAlertComponent', segment: 'empty-alert', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/header-info/header-info.module#HeaderInfoModule', name: 'HeaderInfoComponent', segment: 'header-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/gmap/gmap.module#GMapModule', name: 'GMapComponent', segment: 'gmap', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/cmap/cmap.module#CMapModule', name: 'CMapComponent', segment: 'cmap', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/header-search/header-search.module#HeaderSearchModule', name: 'HeaderSearchComponent', segment: 'header-search', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/home-machine-item/home-machine-item.module#HomeMachineItemModule', name: 'HomeMachineItemComponent', segment: 'home-machine-item', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/machine-item/machine-item.module#MachineItemModule', name: 'MachineItemComponent', segment: 'machine-item', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/tab-switch/tab-switch.module#TabSwitchModule', name: 'TabSwitchComponent', segment: 'tab-switch', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/rmap/ramp.module#RMapModule', name: 'RMapComponent', segment: 'ramp', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/auth/modify-password/modify-password.module#ModifyPasswordModule', name: 'ModifyPasswordPage', segment: 'modify-password', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../components/tmap/tmap.module#TMapModule', name: 'TMapComponent', segment: 'tmap', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/auth/register/register.module#RegisterModule', name: 'RegisterPage', segment: 'register', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/add-machine-page/add-machine-page.module#AddMachineModule', name: 'addMachinePage', segment: 'add-machine-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/machine-authorization-confrim-page/machine-authorization-confrim-page.module#MachineAuthorizationConfirmModule', name: 'machineAuthorizationConfirmPage', segment: 'machine-authorization-confrim-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/machine-authorization-list-page/machine-authorization-list-page.module#MachineAuthorizationListModule', name: 'machineAuthorizationListPage', segment: 'machine-authorization-list-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/machine-authorization-page/machine-authorization-page.module#MachineAuthorizationModule', name: 'machineauthorizationPage', segment: 'machine-authorization-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/machine-detail-page/machine-detail-page.module#MachineDetailModule', name: 'machineDetailPage', segment: 'machine-detail-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/machine-list-page/machine-list-page.module#MachineListModule', name: 'machineListPage', segment: 'machine-list-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/machine-review-detail/machine-review-detail.module#MachineAuthorizationModule', name: 'MachineReviewDetailPage', segment: 'machine-review-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/machine-static-page/machine-static-page.module#MachineDetailModule', name: 'machineStaticPage', segment: 'machine-static-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/search-machine-detail/search-machine-detail.module#MachineDetailModule', name: 'SearchMachineDetailPage', segment: 'search-machine-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/machine-home/verify-machine-page/verify-machine-page..module#VerifyMachinePageModule', name: 'VerifyMachinePage', segment: 'verify-machine-page.', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order-home/app-order-list/app-order-list.module#OrderListModule', name: 'AppOrderListPage', segment: 'app-order-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order-home/order-list-page/order-list-page.module#OrderListModule', name: 'orderListPage', segment: 'order-list-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order-home/status-list-page/status-list-page.module#StatusListModule', name: 'statusListPage', segment: 'status-list-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order-home/work-detail-page/work-detail-page.module#WorkDetailModule', name: 'workDetailPage', segment: 'work-detail-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order-home/machine-order-list-page/machine-order-list-page.module#MachineListModule', name: 'machineOrderListPage', segment: 'machine-order-list-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/register-home/user-forget-password-page/user-forget-password-page.module#UserForgetPasswordModule', name: 'userForgetPasswordPage', segment: 'user-forget-password-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/register-home/role-select/role-select-page.module#RoleSelectModule', name: 'roleSelectPage', segment: 'role-select-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/register-home/user-register-page/user-register-page.module#UserRegisterModule', name: 'userRegisterPage', segment: 'user-register-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/register-home/role-info/role-info-page.module#RoleInfoModule', name: 'roleInfoPage', segment: 'role-info-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/register-home/user-login-page/user-login-page.module#UserLoginModule', name: 'userLoginPage', segment: 'user-login-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/scan-search/scan-search.module#ScanPageModule', name: 'ScanSearchPage', segment: 'scan-search', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/scan/scan.module#ScanPageModule', name: 'ScanPage', segment: 'scan', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/setting/setting.module#SettingPageModule', name: 'SettingPage', segment: 'setting', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user-home/user-home-page/user-home-page.module#UserHomeModule', name: 'userHomePage', segment: 'user-home-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/share-page/first-page.module#FirstPageModule', name: 'FirstPage', segment: 'first-page', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user-list/user-list.module#UserListModule', name: 'userListPage', segment: 'user-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/user.module#UserPageModule', name: 'UserPage', segment: 'user', priority: 'low', defaultHistory: [] }
                    ]
                }),
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */],
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_qr_scanner__["a" /* QRScanner */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_camera__["a" /* Camera */],
                __WEBPACK_IMPORTED_MODULE_14__jiguang_ionic_jpush__["a" /* JPush */],
                __WEBPACK_IMPORTED_MODULE_12__ionic_native_file__["a" /* File */],
                __WEBPACK_IMPORTED_MODULE_6__ionic_native_image_picker__["a" /* ImagePicker */],
                __WEBPACK_IMPORTED_MODULE_13__ionic_native_base64_ngx__["a" /* Base64 */],
                __WEBPACK_IMPORTED_MODULE_11__ionic_native_file_transfer__["a" /* FileTransferObject */],
                __WEBPACK_IMPORTED_MODULE_16__providers_HttpService__["a" /* HttpService */],
                __WEBPACK_IMPORTED_MODULE_20__providers_NativeService__["a" /* NativeService */],
                __WEBPACK_IMPORTED_MODULE_17__providers_Utils__["a" /* Utils */],
                __WEBPACK_IMPORTED_MODULE_18__providers_GlobalData__["a" /* GlobalData */],
                __WEBPACK_IMPORTED_MODULE_19__providers_Validators__["a" /* Validators */],
                __WEBPACK_IMPORTED_MODULE_22__providers_amap_service__["a" /* AMapService */],
                __WEBPACK_IMPORTED_MODULE_21__providers_alert_service__["a" /* AlertService */],
                __WEBPACK_IMPORTED_MODULE_23__providers_StorageService__["a" /* StorageService */],
                __WEBPACK_IMPORTED_MODULE_15__ionic_native_geolocation__["a" /* Geolocation */],
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_zbar_ngx__["a" /* ZBar */],
                { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicErrorHandler */] }
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 687:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(351);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(352);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__jiguang_ionic_jpush__ = __webpack_require__(157);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_StorageService__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_GlobalData__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_NativeService__ = __webpack_require__(88);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_Constants__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





//page
//service



//model

var MyApp = /** @class */ (function () {
    function MyApp(cd, platform, statusBar, jpush, splashScreen, _nativeService, menuCtrl, _StorageService, _GlobalData) {
        this.cd = cd;
        this.platform = platform;
        this.statusBar = statusBar;
        this.jpush = jpush;
        this.splashScreen = splashScreen;
        this._nativeService = _nativeService;
        this.menuCtrl = menuCtrl;
        this._StorageService = _StorageService;
        this._GlobalData = _GlobalData;
        this.rootPage = '';
        this.flag = true;
        this.flag1 = false;
        this.flag2 = false;
        this.DEFAULT_AVATAR = __WEBPACK_IMPORTED_MODULE_8__providers_Constants__["d" /* DEFAULT_AVATAR */]; //默认头像
        this.FILE_SERVE_URL = __WEBPACK_IMPORTED_MODULE_8__providers_Constants__["f" /* FILE_SERVE_URL */]; //文件路径
        this.userInfo = this._StorageService.read(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["q" /* USER_INFO */]);
    }
    MyApp.prototype.ngOnInit = function () {
        var _this = this;
        this.userInfo = this._StorageService.read(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["q" /* USER_INFO */]);
        if (this.userInfo == null) {
            this.userInfo = this._StorageService.read(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["q" /* USER_INFO */]);
        }
        this.platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.statusBar.styleDefault();
            _this.splashScreen.hide();
            // if (this._nativeService.isMobile()) {
            //   this.jpush.init();
            //   this.jpush.setDebugMode(true);
            // }
            _this.userId = _this._StorageService.read(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["p" /* USER_ID */]);
            _this.userInfo = _this._StorageService.read(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["q" /* USER_INFO */]);
            if (_this.userInfo == null) {
                // alert()
                // // this.userInfo = this._StorageService.read(USER_INFO);
                // console.log(this.userInfo)
                // window.location.reload()
            }
            if (_this.userId) {
                _this._GlobalData.set(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["c" /* CURRENT_USER_INFO */], _this.userInfo);
                _this.rootPage = 'userHomePage';
                // this.rootPage = 'orderListPage'
            }
            else {
                // this.rootPage = 'userLoginPage';
                _this.rootPage = 'FirstPage';
            }
        });
    };
    MyApp.prototype.ionViewDidLoad = function () {
        if (this.userInfo == null) {
            this.userInfo = this._StorageService.read(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["r" /* USER_INFO1 */]);
        }
    };
    //添加设备
    MyApp.prototype.moveToAddMachinePage = function () {
        // alert()
        this.nav.push('addMachinePage');
        this.menuCtrl.close();
    };
    //设备列表
    MyApp.prototype.moveToMachineListPage = function () {
        this.nav.push('machineListPage');
        this.menuCtrl.close();
    };
    //设备审核
    MyApp.prototype.moveToMachineAuthorizationPage = function () {
        this.nav.push('machineAuthorizationListPage');
        this.menuCtrl.close();
    };
    //维修订单列表
    MyApp.prototype.moveToMachineOrderListPage = function () {
        this.nav.push('machineOrderListPage');
        this.menuCtrl.close();
    };
    MyApp.prototype.logout = function () {
        this.menuCtrl.close();
        this._StorageService.remove(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["p" /* USER_ID */]);
        this._StorageService.remove(__WEBPACK_IMPORTED_MODULE_8__providers_Constants__["q" /* USER_INFO */]);
        this.nav.push('userLoginPage');
        // setTimeout(() => {
        //
        // }, 1500)
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"D:\project\njapp\farmapp\farms.app\src\app\app.html"*/'<ion-menu id="menu-farmer" side="left" [content]="content" swipeEnabled="false" type="overlay">\n\n  <ion-content class="magist">\n\n    <ion-grid no-padding no-margin class="menu-banner">\n\n      <ion-row text-center class="aq-padding-top-24 aq-padding-bottom-52">\n\n        <ion-col class="aq-padding-bottom-20" col-12>\n\n          <img class="aq-icon-100 aq-circle" src="../assets/imgs/temp/header.png">\n\n<!--          <p class="aq-text-size-big">-->\n\n<!--&lt;!&ndash;            &ndash;&gt;20200321-->\n\n<!--          </p>-->\n\n          <p class="aq-text-size-big">\n\n<!--            {{userInfo?.cooperativename}}-->\n\n          </p>\n\n        </ion-col>\n\n        <ion-col padding-top col-12 *ngIf="userInfo?.usertype != 0">\n\n          <button class="aq-text-size-big aq-bg-color-white-core aq-text-color-grey-70" ion-button clear\n\n                  (click)="moveToAddMachinePage()">添加设备</button>\n\n        </ion-col>\n\n        <ion-col padding-top col-12>\n\n          <button class="aq-text-size-big aq-bg-color-white-core aq-text-color-grey-70" ion-button clear\n\n                  (click)="moveToMachineListPage()">设备列表</button>\n\n        </ion-col>\n\n        <!-- <ion-col padding-top col-12>\n\n          <button class="aq-text-size-big aq-bg-color-white-core aq-text-color-grey-70" ion-button clear\n\n            (click)="moveToAddMachinePage()">我的订单</button>\n\n        </ion-col> -->\n\n\n\n        <ion-col padding-top col-12>\n\n          <button class="aq-text-size-big aq-bg-color-white-core aq-text-color-grey-70" ion-button clear\n\n                  (click)="logout()">退出登录</button>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-content>\n\n  <ion-footer padding-bottom>\n\n    <ion-row text-center>\n\n      <ion-col class="aq-text-size-small">\n\n        版权归北京农机管家物联科技有限公司所有\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-footer>\n\n</ion-menu>\n\n<ion-menu id="menu-coop" side="left" [content]="content" swipeEnabled="false" type="overlay">\n\n  <ion-content class="magist">\n\n    <ion-grid no-padding no-margin class="menu-banner">\n\n      <ion-row text-center class="aq-padding-top-24 aq-padding-bottom-52">\n\n        <ion-col class="aq-padding-bottom-20" col-12>\n\n          <img class="aq-icon-100 aq-circle" src="../assets/imgs/temp/header.png">\n\n          <p class="aq-text-size-big">\n\n            {{userInfo?.cooperativename}}\n\n          </p>\n\n        </ion-col>\n\n        <ion-col padding-top col-12>\n\n          <button class="aq-text-size-big aq-bg-color-white-core aq-text-color-grey-70" ion-button clear\n\n                  (click)="moveToAddMachinePage()">添加设备</button>\n\n        </ion-col>\n\n        <ion-col padding-top col-12>\n\n          <button class="aq-text-size-big aq-bg-color-white-core aq-text-color-grey-70" ion-button clear\n\n                  (click)="moveToMachineAuthorizationPage()">审核设备</button>\n\n        </ion-col>\n\n        <ion-col padding-top col-12>\n\n          <button class="aq-text-size-big aq-bg-color-white-core aq-text-color-grey-70" ion-button clear\n\n                  (click)="moveToMachineOrderListPage()">维修订单</button>\n\n        </ion-col>\n\n        <ion-col padding-top col-12>\n\n          <button class="aq-text-size-big aq-bg-color-white-core aq-text-color-grey-70" ion-button clear\n\n                  (click)="logout()">退出登录</button>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-content>\n\n  <ion-footer padding-bottom>\n\n    <ion-row text-center>\n\n      <ion-col class="aq-text-size-small">\n\n        版权归北京农机管家物联科技有限公司所有\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-footer>\n\n</ion-menu>\n\n<ion-nav #content swipeBackEnabled="false" [root]="rootPage"></ion-nav>\n\n\n\n'/*ion-inline-end:"D:\project\njapp\farmapp\farms.app\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["j" /* ChangeDetectorRef */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_4__jiguang_ionic_jpush__["a" /* JPush */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_7__providers_NativeService__["a" /* NativeService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* MenuController */], __WEBPACK_IMPORTED_MODULE_5__providers_StorageService__["a" /* StorageService */], __WEBPACK_IMPORTED_MODULE_6__providers_GlobalData__["a" /* GlobalData */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 86:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "f", function() { return FILE_SERVE_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "e", function() { return FAPP_SERVE_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return APP_SERVE_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return DEFAULT_AVATAR; });
/* unused harmony export PAGE_SIZE */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "g", function() { return IMAGE_SIZE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "j", function() { return QUALITY_SIZE; });
/* unused harmony export REQUEST_TIMEOUT */
/* unused harmony export APP_DOWNLOAD */
/* unused harmony export APK_DOWNLOAD */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "p", function() { return USER_ID; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "q", function() { return USER_INFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "r", function() { return USER_INFO1; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "o", function() { return TEXT1; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "l", function() { return SINFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "k", function() { return SFINFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "u", function() { return WORK_INFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "h", function() { return MACHINE_INFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "i", function() { return ORDER_INFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return CONFARM_INFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "m", function() { return ScanQRCode; });
/* unused harmony export SELECT_ADDRESS */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "v", function() { return WX_INFO; });
/* unused harmony export BDAPI_TOKEN */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "s", function() { return USER_REGISTER_INFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return CURRENT_USER_INFO; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "n", function() { return SideMenus; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "t", function() { return WORK_DETAIL_TOOLS; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "w", function() { return machineWorkTypeMappingObj; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "x", function() { return tractorTypeMappingObj; });
//core
//page
//service
//const
var FILE_SERVE_URL = 'http://middleground-yuantong.dlanqi.com:30065/wwwroot/';
/*----------------------------------------后台Api地址----------------------------------------*/
// export const APP_SERVE_URL = 'http://139.170.150.94:30066';
var FAPP_SERVE_URL = 'http://njgjapp.com:30062/';
var APP_SERVE_URL = 'http://njgjapp.com:16013/farmsdb-zuul';
var DEFAULT_AVATAR = 'assets/imgs/temp/header.png'; //用户默认头像
var PAGE_SIZE = 8; //默认分页大小
var IMAGE_SIZE = 200; //图片尺寸
var QUALITY_SIZE = 94; //图像质量，范围为0 - 100
var REQUEST_TIMEOUT = 12000; //请求超时时间,单位为毫秒
var APP_DOWNLOAD = ''; //app下载地址
var APK_DOWNLOAD = ''; //apk下载完整地址
var USER_ID = 'FARM-USER_ID';
var USER_INFO = 'FARM-USER_INFO';
var USER_INFO1 = 'FARM-USER_INFO1';
var TEXT1 = 'TEXT';
var SINFO = 'SINFO';
var SFINFO = 'SFZ';
var WORK_INFO = 'FARM-WORK_INFO';
var MACHINE_INFO = 'FARM-MACHINE_INFO';
var ORDER_INFO = 'FARM-ORDER_INFO';
var CONFARM_INFO = 'FARM-CONFARM_INFO';
var ScanQRCode = 'njgj-scan-qr-code';
var SELECT_ADDRESS = 'FARM-SELECT_ADDRESS';
var WX_INFO = 'FARM-WX_INFO';
var BDAPI_TOKEN = 'FARM-BDAPI_TOKEN';
//global service
var USER_REGISTER_INFO = 'FARM-USER_REGISTER_INFO';
var CURRENT_USER_INFO = 'FARM-CURRENT_USER_INFO';
// side menus
var SideMenus = ['menu-farmer', 'menu-coop'];
//work-detail
var WORK_DETAIL_TOOLS = [
    { id: 0, iconImgOn: "assets/imgs/workdetail/zuoyehegelv_on.png", iconImgOff: "assets/imgs/workdetail/zuoyehegelv_off.png", iconText: '作业合格率', active: false },
    { id: 1, iconImgOn: "assets/imgs/workdetail/youhao_on.png", iconImgOff: "assets/imgs/workdetail/youhao_off.png", iconText: '油耗', active: false },
    { id: 2, iconImgOn: "assets/imgs/workdetail/chesu_on.png", iconImgOff: "assets/imgs/workdetail/chesu_off.png", iconText: '车速', active: false },
    { id: 3, iconImgOn: "assets/imgs/workdetail/shuchuzhuanju_on.png", iconImgOff: "assets/imgs/workdetail/shuchuzhuanju_off.png", iconText: '输出转速', active: false },
    { id: 4, iconImgOn: "assets/imgs/workdetail/fadongjizhuanshu_on.png", iconImgOff: "assets/imgs/workdetail/fadongjizhuanshu_off.png", iconText: '发动机转速', active: false },
    { id: 5, iconImgOn: "assets/imgs/workdetail/lengqueshuiwendu_on.png", iconImgOff: "assets/imgs/workdetail/lengqueshuiwendu_off.png", iconText: '冷却水温度', active: false },
    { id: 6, iconImgOn: "assets/imgs/workdetail/jiyouyali_on.png", iconImgOff: "assets/imgs/workdetail/jiyouyali_off.png", iconText: '机油压力', active: false },
    { id: 7, iconImgOn: "assets/imgs/workdetail/jiyouwendu_on.png", iconImgOff: "assets/imgs/workdetail/jiyouwendu_off.png", iconText: '机油温度', active: false },
    { id: 8, iconImgOn: "assets/imgs/workdetail/ranyouwendu_on.png", iconImgOff: "assets/imgs/workdetail/ranyouwendu_off.png", iconText: '燃油温度', active: false },
];
var machineWorkTypeMappingObj = {
    '75': '免耕播种',
    '10400': '免耕播种',
    '13': '深松作业',
    '61': '旋耕作业',
    '20': '收获作业',
    '30': '植保作业(喷药)',
    '41': '插秧作业',
    '50': '秸秆还田作业',
    '70': '翻转犁翻埋',
    '71': '深松碎混',
    '74': '水田深翻'
};
var tractorTypeMappingObj = {
    '1': '拖拉机',
    '2': '收获机',
    '3': '植保机',
    '5': '插秧机',
    '6': '播种机',
    '7': '开沟机',
    '8': '灭茬机',
    '9': '穴播机',
    '10': '搂草机',
    '11': '无人机',
    '4': '其他'
};
//# sourceMappingURL=Constants.js.map

/***/ }),

/***/ 87:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GlobalData; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var GlobalData = /** @class */ (function () {
    function GlobalData() {
        this._state = {};
        this._showLoading = true; //请求是否显示loading,注意:设置为true,当请求执行后需要设置为false
    }
    Object.defineProperty(GlobalData.prototype, "userId", {
        get: function () {
            return this._userId;
        },
        set: function (value) {
            this._userId = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "username", {
        get: function () {
            return this._username;
        },
        set: function (value) {
            this._username = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "token", {
        get: function () {
            return this._token;
        },
        set: function (value) {
            this._token = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "showLoading", {
        get: function () {
            return this._showLoading;
        },
        set: function (value) {
            this._showLoading = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "state", {
        // already return a clone of the current state
        get: function () {
            return this._state = this.clone(this._state);
        },
        // never allow mutation
        set: function (value) {
            throw new Error('do not mutate the `.state` directly');
        },
        enumerable: true,
        configurable: true
    });
    GlobalData.prototype.get = function (prop) {
        // use our state getter for the clone
        var state = this.state;
        return state.hasOwnProperty(prop) ? state[prop] : state;
    };
    GlobalData.prototype.set = function (prop, value) {
        // internally mutate our state
        return this._state[prop] = value;
    };
    GlobalData.prototype.clone = function (object) {
        // simple object clone
        return JSON.parse(JSON.stringify(object));
    };
    GlobalData = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])()
    ], GlobalData);
    return GlobalData;
}());

//# sourceMappingURL=GlobalData.js.map

/***/ }),

/***/ 88:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NativeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__GlobalData__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_camera__ = __webpack_require__(309);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__Constants__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_image_picker__ = __webpack_require__(156);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__ = __webpack_require__(311);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_rxjs__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_rxjs__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var NativeService = /** @class */ (function () {
    function NativeService(platform, toastCtrl, loadingCtrl, globalData, camera, imagePicker, file) {
        this.platform = platform;
        this.toastCtrl = toastCtrl;
        this.loadingCtrl = loadingCtrl;
        this.globalData = globalData;
        this.camera = camera;
        this.imagePicker = imagePicker;
        this.file = file;
        this.loadingIsOpen = false;
    }
    //日志
    NativeService.prototype.log = function (info) {
        console.log('%cNativeService/' + info, 'color:#C41A16');
    };
    /**
     * 是否真机环境
     */
    NativeService.prototype.isMobile = function () {
        return this.platform.is('mobile') && !this.platform.is('mobileweb');
    };
    /**
     * 是否android真机环境
     */
    NativeService.prototype.isAndroid = function () {
        return this.isMobile() && this.platform.is('android');
    };
    /**
     * 是否ios真机环境
     */
    NativeService.prototype.isIos = function () {
        return this.isMobile() && (this.platform.is('ios') || this.platform.is('ipad') || this.platform.is('iphone'));
    };
    /**
     * 统一调用此方法显示提示信息
     * @param message 信息内容
     * @param duration 显示时长
     */
    NativeService.prototype.showToast = function (message, duration) {
        if (message === void 0) { message = '操作完成'; }
        if (duration === void 0) { duration = 2000; }
        this.toastCtrl.create({
            message: message,
            duration: duration,
            position: 'middle',
            showCloseButton: false
        }).present();
    };
    ;
    /**
     * 统一调用此方法显示loading
     * @param content 显示的内容
     */
    NativeService.prototype.showLoading = function (content) {
        var _this = this;
        if (content === void 0) { content = ''; }
        if (!this.globalData.showLoading) {
            return;
        }
        if (!this.loadingIsOpen) {
            this.loadingIsOpen = true;
            this.loading = this.loadingCtrl.create({
                content: content
            });
            this.loading.present();
            setTimeout(function () {
                _this.loadingIsOpen && _this.loading.dismiss();
                _this.loadingIsOpen = false;
            }, 15000);
        }
    };
    ;
    /**
     * 关闭loading
     */
    NativeService.prototype.hideLoading = function () {
        if (!this.globalData.showLoading) {
            this.globalData.showLoading = true;
        }
        this.loadingIsOpen && this.loading.dismiss();
        this.loadingIsOpen = false;
    };
    ;
    //返回图片
    NativeService.prototype.getPicture = function (options) {
        var _this = this;
        if (options === void 0) { options = {}; }
        var ops = Object.assign({
            sourceType: this.camera.PictureSourceType.CAMERA,
            destinationType: this.camera.DestinationType.DATA_URL,
            quality: __WEBPACK_IMPORTED_MODULE_4__Constants__["j" /* QUALITY_SIZE */],
            // allowEdit: true,//选择图片前是否允许编辑
            encodingType: this.camera.EncodingType.JPEG,
            targetWidth: 800,
            // targetHeight: 220,//缩放图像的高度（像素）
            saveToPhotoAlbum: false,
            correctOrientation: true //设置摄像机拍摄的图像是否为正确的方向
        }, options);
        return __WEBPACK_IMPORTED_MODULE_7_rxjs__["Observable"].create(function (observer) {
            _this.camera.getPicture(ops).then(function (imgData) {
                if (ops.destinationType === _this.camera.DestinationType.DATA_URL) {
                    //observer.next('data:image/jpg;base64,' + imgData);
                    observer.next(imgData);
                }
                else {
                    observer.next(imgData);
                }
            }).catch(function (err) {
                if (err == 20) {
                    return;
                }
                if (String(err).indexOf('cancel') != -1) {
                    return;
                }
                _this.log('getPicture:' + err);
            });
        });
    };
    ;
    /**
     * 通过拍照获取照片
     * @param options
     */
    NativeService.prototype.getPictureByCamera = function (options) {
        if (options === void 0) { options = {}; }
        var ops = Object.assign({
            sourceType: this.camera.PictureSourceType.CAMERA,
            destinationType: this.camera.DestinationType.DATA_URL //DATA_URL: 0 base64字符串, FILE_URI: 1图片路径
        }, options);
        console.log(ops);
        return this.getPicture(ops);
    };
    ;
    /**
     * 通过图库获取照片
     * @param options
     */
    NativeService.prototype.getPictureByPhotoLibrary = function (options) {
        if (options === void 0) { options = {}; }
        var ops = Object.assign({
            sourceType: this.camera.PictureSourceType.PHOTOLIBRARY,
            destinationType: this.camera.DestinationType.DATA_URL //DATA_URL: 0 base64字符串, FILE_URI: 1图片路径
        }, options);
        return this.getPicture(ops);
    };
    ;
    /**
     * 通过图库选择多图
     * @param options
     */
    NativeService.prototype.getMultiplePicture = function (options) {
        var _this = this;
        if (options === void 0) { options = {}; }
        var that = this;
        var ops = Object.assign({
            maximumImagesCount: 6,
            width: __WEBPACK_IMPORTED_MODULE_4__Constants__["g" /* IMAGE_SIZE */],
            height: __WEBPACK_IMPORTED_MODULE_4__Constants__["g" /* IMAGE_SIZE */],
            quality: __WEBPACK_IMPORTED_MODULE_4__Constants__["j" /* QUALITY_SIZE */] //图像质量，范围为0 - 100
        }, options);
        return __WEBPACK_IMPORTED_MODULE_7_rxjs__["Observable"].create(function (observer) {
            _this.imagePicker.getPictures(ops).then(function (files) {
                var destinationType = options['destinationType'] || 0; //0:base64字符串,1:图片url
                if (destinationType === 1) {
                    observer.next(files);
                }
                else {
                    var imgBase64s_1 = []; //base64字符串数组
                    for (var _i = 0, files_1 = files; _i < files_1.length; _i++) {
                        var fileUrl = files_1[_i];
                        that.convertImgToBase64(fileUrl).subscribe(function (base64) {
                            imgBase64s_1.push(base64);
                            if (imgBase64s_1.length === files.length) {
                                observer.next(imgBase64s_1);
                            }
                        });
                    }
                }
            }).catch(function (err) {
                _this.log('getMultiplePicture:' + err);
            });
        });
    };
    ;
    /**
     * 根据图片绝对路径转化为base64字符串
     * @param path 绝对路径
     */
    NativeService.prototype.convertImgToBase64 = function (path) {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_7_rxjs__["Observable"].create(function (observer) {
            _this.file.resolveLocalFilesystemUrl(path).then(function (fileEnter) {
                fileEnter.file(function (file) {
                    var reader = new FileReader();
                    reader.onloadend = function (e) {
                        observer.next(this.result);
                    };
                    reader.readAsDataURL(file);
                });
            }).catch(function (err) {
                _this.log('convertImgToBase64:' + err);
            });
        });
    };
    NativeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_image_picker__["a" /* ImagePicker */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_file__["a" /* File */]])
    ], NativeService);
    return NativeService;
}());

//# sourceMappingURL=NativeService.js.map

/***/ })

},[363]);
//# sourceMappingURL=main.js.map